Closed Bug 369792 Opened 14 years ago Closed 14 years ago

Proxy authentication prompt required for addon update upon loading of firefox

Categories

(Core Graveyard :: Installer: XPInstall Engine, defect)

x86
Windows XP
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED DUPLICATE of bug 312473

People

(Reporter: sherfst, Unassigned)

Details

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1

If the firefox connection is established via a proxy server, when an extension update is detected upon the initial loading of firefox, no authentication prompt is displayed when choosing to update.

Reproducible: Always

Steps to Reproduce:
1.  Configure the firefox internet connection via a proxy server
2.  Have an addon installed and out-of-date
3.  Restart firefox and it will prompt for update of the outdated addon.
4.  Click the update button
Actual Results:  
The update process will fail as the prompt to authenticate does not occur and therefore the internet connection can't be established.

Expected Results:  
A prompt to authenticate is displayed prior to the download beginning for the addon updates.

Upon <any> internet connection being required, a check should be in place to ensure that authentication has occurred if using a proxy server.
Component: Software Update → Extension/Theme Manager
QA Contact: software.update → extension.manager
Version: unspecified → 2.0 Branch
Whiteboard: DUPEME
Assignee: nobody → xpi-engine
Component: Extension/Theme Manager → Installer: XPInstall Engine
Product: Firefox → Core
QA Contact: extension.manager
Version: 2.0 Branch → Trunk
Status: UNCONFIRMED → RESOLVED
Closed: 14 years ago
Resolution: --- → DUPLICATE
Whiteboard: DUPEME
Duplicate of bug: 312473
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.